/*
 * Sprite library - header file
 *
 * $Id: sprite.h,v 1.2 1996/07/13 18:08:57 tom Exp $
 */

extern void spr_init (void);
extern void spr_loadspr (char *fname, int num);
extern void doompalette (void);
extern void spr_add (int nx, int ny, int nt);
extern void spr_kill (int kn);
extern void spr_move (int mn, int mx, int my);
extern void spr_type (int mn, int mt);
extern void setpixel (int x, int y, int c, char *base);
extern void spr_update (void);
extern void spr_update_reverse (void);
extern int spr_pixelcollide (int x, int y);
extern int spr_pix2collide (int x, int y);
extern int spr_pix3collide (int x, int y, int excl);
extern int spr_spritecollide (int s);
extern int spr_xsize (int s);
extern int spr_ysize (int s);
extern void spr_dump (void);

extern signed int spritex[1000];
extern signed int spritey[1000];
extern int spritet[1000];
extern char sprite_image[1000][16000];
extern int spritex[1000];

/* End of file. */
